KDE Plasma hiányzó alkalmazások

Fórumok

Az általam felvetett blog bejegyzésben ( https://hup.hu/node/167167 ) felmerült a kérdés, hogy lehet-e az óra méretét állítani a tálcán. Jelentem lehet minden turkálás nélkül, az alábbi Plasmoid segítségével:

Digital Clock Lite

A továbbiak keresése folyamatban, ha valakinek hiányzik még valami írja meg és keressük meg a megoldást :)

Hozzászólások

Jegyzetcetlik. Ezt nem találok. Van egy Notes nevű, de az csak egy cetlit tud.

Gondoltam megnézem.

sudo apt install knotes
...

After this operation, 140 MB of additional disk space will be used.
Do you want to continue?

--no-install-recommends -el sincs változás. Szóval nem nézem meg és nem is értem mit tudhat egy "k"notes ami a Qt-n kívül 140Mb -ot fog.
 

PACKAGE NAME:     knotes-19.12.0-x86_64-1alien
COMPRESSED PACKAGE SIZE:     592K
UNCOMPRESSED PACKAGE SIZE:     2.9M
PACKAGE LOCATION: x86_64/kde/kdepim/knotes-19.12.0-x86_64-1alien.txz

Az elmélet az, amikor mindent ismerünk, de semmi nem működik. A gyakorlat az, amikor minden működik, de senki nem tudja, miért.

sudo apt install --no-install-recommends knotes
[sudo] password for zolti: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
The following additional packages will be installed:
  akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server default-mysql-client-core
  default-mysql-server-core kdepim-runtime kio-ldap kio-sieve libaio1 libgrantlee-textdocument5
  libkf5akonadi-data libkf5akonadiagentbase5 libkf5akonadicalendar-data libkf5akonadicalendar5
  libkf5akonadicontact5 libkf5akonadicore5 libkf5akonadimime5 libkf5akonadinotes5 libkf5akonadiprivate5
  libkf5akonadisearch-bin libkf5akonadisearch-data libkf5akonadisearch-plugins libkf5akonadisearchcore5
  libkf5akonadisearchdebug5 libkf5akonadisearchpim5 libkf5akonadisearchxapian5 libkf5akonadiwidgets5
  libkf5alarmcalendar5 libkf5calendarcore5 libkf5calendarutils5 libkf5contacteditor5 libkf5contacts-data
  libkf5contacts5 libkf5grantleetheme5 libkf5identitymanagement5 libkf5imap5 libkf5kontactinterface-data
  libkf5kontactinterface5 libkf5ldap5 libkf5libkdepim-data libkf5libkdepim5 libkf5libkdepimakonadi5
  libkf5mailtransport-data libkf5mailtransport5 libkf5mailtransportakonadi5 libkf5mbox5 libkf5mime5
  libkf5pimcommon5 libkf5pimcommonakonadi5 libkf5pimtextedit5 libkolabxml1v5 libkpimgapi-data
  libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapicore5 libkpimgapitasks5 libkpimkdav5 libkpimsmtp5
  libqt5networkauth5 libqt5sql5-mysql libsasl2-modules-kdexoauth2 libxerces-c3.2 mysql-client-core-5.7
  mysql-server-core-5.7
Suggested packages:
  akonadi-backend-postgresql akonadi-backend-sqlite
Recommended packages:
  libkf5grantleetheme-plugins libkf5libkdepim-plugins kde-config-mailtransport libkf5pimtextedit-plugins
The following NEW packages will be installed
  akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server default-mysql-client-core
  default-mysql-server-core kdepim-runtime kio-ldap kio-sieve knotes libaio1 libgrantlee-textdocument5
  libkf5akonadi-data libkf5akonadiagentbase5 libkf5akonadicalendar-data libkf5akonadicalendar5
  libkf5akonadicontact5 libkf5akonadicore5 libkf5akonadimime5 libkf5akonadinotes5 libkf5akonadiprivate5
  libkf5akonadisearch-bin libkf5akonadisearch-data libkf5akonadisearch-plugins libkf5akonadisearchcore5
  libkf5akonadisearchdebug5 libkf5akonadisearchpim5 libkf5akonadisearchxapian5 libkf5akonadiwidgets5
  libkf5alarmcalendar5 libkf5calendarcore5 libkf5calendarutils5 libkf5contacteditor5 libkf5contacts-data
  libkf5contacts5 libkf5grantleetheme5 libkf5identitymanagement5 libkf5imap5 libkf5kontactinterface-data
  libkf5kontactinterface5 libkf5ldap5 libkf5libkdepim-data libkf5libkdepim5 libkf5libkdepimakonadi5
  libkf5mailtransport-data libkf5mailtransport5 libkf5mailtransportakonadi5 libkf5mbox5 libkf5mime5
  libkf5pimcommon5 libkf5pimcommonakonadi5 libkf5pimtextedit5 libkolabxml1v5 libkpimgapi-data
  libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapicore5 libkpimgapitasks5 libkpimkdav5 libkpimsmtp5
  libqt5networkauth5 libqt5sql5-mysql libsasl2-modules-kdexoauth2 libxerces-c3.2 mysql-client-core-5.7
  mysql-server-core-5.7
0 to upgrade, 66 to newly install, 0 to remove and 1 not to upgrade.
Need to get 26,5 MB of archives.
After this operation, 140 MB of additional disk space will be used.
Do you want to continue? [I/n] 

Értem, de akkor is fel akarja rakni. Egyébként nem létszükség, csak megnéztem volna, ha nincs ennyi függősége, de így nem érdekel. Gnome alatt sem használtam hasonlókat ezután is megleszek nélküle, vagy kipróbálom a jegyzeteket amit Oregon ajánlott.

szerkesztve: fent van a plasma, (KDE neon testing)

Elvileg a KDE Neon-ról vannak félreértések és viták community-n belül is :

https://www.youtube.com/watch?v=dTpObV-MYY0 (videó leírás szekció )

https://www.reddit.com/r/kde/comments/crlt6t/is_kde_neon_horrible_and_fearsome_novel_style/

Tekintsünk el az animés körítéstől ez ennek a gyereknek a stílusa :D

Azért mert a KDE jegyzi. Ehhez képest a Slackware-be csomagolt KDE5 mindent felrak és játszhatsz vele kedvedre. Na ezt a Neonnak kellene csinálnia.

Az elmélet az, amikor mindent ismerünk, de semmi nem működik. A gyakorlat az, amikor minden működik, de senki nem tudja, miért.

Egyreszt nincs fent, masreszt ebbol meg nem kovetkezik, hogy "Emiatt gyors". 

Ez egy sticky note alkalmazas. Lenyegeben ugyanaz, mint egy notepad.exe, csak sarga a hattere es meg kevesebb feature van benne. Minek ala egy teljes adatbazisszerver? 

Es ennek az a modja, hogy az r=1 user gepere felhuzunk egy adatbazisszervert, elinditjuk default beallitasokkal, es remenyedunk benne, hogy nem lesz semmi security vonatkozasa a dolognak?

Mashol mindenesetre sikerult ezt megugrani anelkul, hogy a usernek SQL szervert kene uzemeltetnie, de ugy latom, itt is volt ilyen otlet:

The following additional packages will be installed:
akonadi-backend-mysql

Suggested packages:
akonadi-backend-sqlite

Mit jelent az, hogy "le is fut" egy biztonsagi problema?

Inkabb megelozok egy nagyon hosszu es ertelmetlen vitat: nem tudok mondani, mert nem ertek a MySQL uzemelteteshez, es pont ezert aggaszto, hogy szo szerint egy papirfecni bonyolultsagu alkalmazas megis telepit es elindit egyet a gepemen.

Sajnos mégsem jött be ez a KNote. Tudom, hogy egyszer már elvetettem a függőségek miatt.

Ráadásul most pl. nem is működik. Hiába kattintgatok a "New Note" menüelemre nem történik semmi. :-(

A másik sem jött be a desktopos változat ("Notes" widget). Ott meg nem lehet mozgatni / nem lehet méretet állítani, hotkey-re nem hallgat. :-(

 

Azt hiszem visszatérek Cinnamon-ra. Az atom stabil volt. Igaz kevesebbet tudott. KDE alatt meg mindig akkor van rejtélyes hiba amikor használná az ember. :-(

Nem kellene ala, csak kde (4, 5)-ben akonadi (mysql) backend-et hasznaljak kb egysegesen mindenre, levelezes, calendar, cimjegyzek, jegyzetek stb.

Ha valakinek mindezek nem kellenek (vagy legalabbis nem a kde-s tool-okkal akarja megoldani) akkor el lehet hagyni az akonadi-t, neon-ban az a mentalitas, hogy emberek ugyis inkabb google-t es tarsait hasznaljak bongeszobol es akkor nem teszik bele ha ugyse lesz ra szukseguk.

Egyebkent kozel sem tokeletes az akonadi, foleg kde4-ben volt vele sok gond, 5-ben mar jobb lett de neha vannak igy is hulyesegei, ezert lehet egyszerubb nelkule ha nem kellenek azok a tool-ok amik azt hasznalnak.

Amugy a knotes nem bir nagy featue-okkel kozel sem, boven akadnak jobbak nala, ha valakinek viszont csak annyi kell hogy neha par dolgot felirjon es ugyis ott van mar default telepitesben akonadi (legtobb rendszernel nincs kihagyva a kde-bol) akkor egyszeru megoldas arra a knotes.

Nálam ugyan nincsenek, bár bőven használok KDE/Plasma csomagokat (Fedora 31-en):

# rpm -qa|grep kf5|wc
     97      97    3510
# rpm -qa|grep plasma|wc
     32      32    1272
# rpm -qa|grep akonadi|wc
      0       0       0

Az igaz, hogy a mysql/mariadb/kdepim csomagokat igyekeztem "gyökerestül" kiirtani, ami majdnem sikerült is, pl.

# rpm -qa|grep mysql
# rpm -qa|grep mariadb
mariadb-connector-c-config-3.1.6-1.fc31.noarch
mariadb-connector-c-3.1.6-1.fc31.x86_64
# rpm -qa|grep pim

Valami olyasmi fájlnézegetőre lenne szükségem mint a krusader belső fájlnézegetője.

A krusader nem működik jól (pl. ha egy fájl törléséhez nincs jogom, akkor figyelmeztetés nélkül megáll a rekurzióban), ezért doublecmd-t használok, de annál meg a fájlnézegető nem másol ki vágólapra, ha pl. nagy a fájl.

Szerkesztve: 2020. 05. 09., szo - 12:11

Ja és még egy: a kate-ben nincs pl. hexa view, így továbbra is keresek valami nézegetőt. Jó lenne a krusader nézegetője is, ha valahogy külön lehetne telepíteni.

Vagy ha a krusadert lehetne rábírni, ha nem tudja végrehajtani a műveletet, akkor kérdezzen, hogy abort, skip, ...

Valami egyszerű(light) email notifyt keresek, akonadi-server nincs fent.